Skip to main content
`Ctrl`+`K`

# EPSJDSetKrylovStart

Activates or deactivates starting the searching subspace with a Krylov basis.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetKrylovStart(EPS eps,PetscBool krylovstart)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- krylovstart - boolean flag

## Options Database Key

- -eps_jd_krylov_start - activate starting the searching subspace with a Krylov basis

## Note

See discussion at `EPSJDSetInitialSize()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSJD`, `EPSJDGetKrylovStart()`

## Level

advanced

## Location

src/eps/impls/davidson/jd/jd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages